corda / net.corda.client.model / GatheredTransactionData

# GatheredTransactionData

`data class GatheredTransactionData`

### Constructors

<init> | `GatheredTransactionData(transaction: PartiallyResolvedTransaction, stateMachines: ObservableList<out StateMachineData>)`

### Properties

stateMachines | `val stateMachines: ObservableList<out StateMachineData>`
transaction | `val transaction: PartiallyResolvedTransaction`